Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Descriptors/ClassShapeDescriptor.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Descriptors/ClassShapeDescriptor.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Descriptors/ClassShapeDescriptor.cs	(revision 4068)
@@ -1,94 +1,82 @@
 using System;
-using System.Drawing;
-using System.Collections.Generic;
-using System.Text;
-using System.ComponentModel;
-using System.Drawing.Design;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Descriptor for <see cref="SimpleShapeBase"/> derived classes (i.e. most of the simple drawing elements like the <see cref="SimpleRectangle"/> shape).
+  /// </summary>
+  class ClassShapeDescriptor : ShapeBaseDescriptor {
+
     /// <summary>
-    /// Descriptor for <see cref="SimpleShapeBase"/> derived classes (i.e. most of the simple drawing elements like the <see cref="SimpleRectangle"/> shape).
+    /// Override this method to return the appropriate value corresponding to the property
     /// </summary>
-    class ClassShapeDescriptor : ShapeBaseDescriptor
-    {
+    /// <param name="sender"></param>
+    /// <param name="e"></param>
+    protected override void GetValue(object sender, PropertyEventArgs e) {
+      switch (e.Name) {
+        case "Title":
+          e.Value = (e.Component as ClassShape).Title;
+          break;
+        case "SubTitle":
+          e.Value = (e.Component as ClassShape).SubTitle;
+          break;
+        case "FreeText":
+          e.Value = (e.Component as ClassShape).FreeText;
+          break;
+        case "BodyType":
+          e.Value = (e.Component as ClassShape).BodyType;
+          break;
+        case "Folders":
+          e.Value = (e.Component as ClassShape).Folders;
+          break;
+        default:
+          base.GetValue(sender, e);
+          break;
+      }
+    }
 
-        /// <summary>
-        /// Override this method to return the appropriate value corresponding to the property
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        protected override void GetValue(object sender, PropertyEventArgs e)
-        {
-            switch (e.Name)
-            {
-                case "Title":
-                    e.Value = (e.Component as ClassShape).Title;
-                    break;
-                case "SubTitle":
-                    e.Value = (e.Component as ClassShape).SubTitle;
-                    break;
-                case "FreeText":
-                    e.Value = (e.Component as ClassShape).FreeText;
-                    break;
-                case "BodyType":
-                    e.Value = (e.Component as ClassShape).BodyType;
-                    break;
-                case "Folders":
-                    e.Value = (e.Component as ClassShape).Folders;
-                    break;
-                default:
-                    base.GetValue(sender, e);
-                    break;
-            }
-        }
+    /// <summary>
+    /// Override this method to set the appropriate value corresponding to the property
+    /// </summary>
+    /// <param name="sender"></param>
+    /// <param name="e"></param>
+    protected override void SetValue(object sender, PropertyEventArgs e) {
+      switch (e.Name) {
+        case "Title":
+          (e.Component as ClassShape).Title = e.Value as string;
+          break;
+        case "SubTitle":
+          (e.Component as ClassShape).SubTitle = e.Value as string;
+          break;
+        case "FreeText":
+          (e.Component as ClassShape).FreeText = e.Value as string;
+          break;
+        case "BodyType":
+          (e.Component as ClassShape).BodyType = (BodyType)Enum.Parse(typeof(BodyType), e.Value.ToString());
+          break;
+        case "Folders":
+          (e.Component as ClassShape).Folders = e.Value as CollectionBase<FolderMaterial>;
+          break;
+        default:
+          base.SetValue(sender, e);
+          break;
+      }
+    }
 
-        /// <summary>
-        /// Override this method to set the appropriate value corresponding to the property
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        protected override void SetValue(object sender, PropertyEventArgs e)
-        {
-            switch (e.Name)
-            {
-                case "Title":
-                   (e.Component as ClassShape).Title = e.Value as string;
-                    break;
-                case "SubTitle":
-                    (e.Component as ClassShape).SubTitle = e.Value as string;
-                    break;
-                case "FreeText":
-                    (e.Component as ClassShape).FreeText = e.Value as string;
-                    break;
-                case "BodyType":
-                    (e.Component as ClassShape).BodyType =(BodyType) Enum.Parse(typeof(BodyType), e.Value.ToString()) ;
-                    break;
-                case "Folders":
-                    (e.Component as ClassShape).Folders = e.Value as CollectionBase<FolderMaterial>;
-                    break;
-                default:
-                    base.SetValue(sender, e);
-                    break;
-            }
-        }
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:ClassShapeDescriptor"/> class.
+    /// </summary>
+    /// <param name="provider">The provider.</param>
+    /// <param name="type">The type.</param>
+    public ClassShapeDescriptor(ShapeProvider provider, Type type)
+      : base(provider, type) {
+      this.AddProperty("Title", typeof(string), constContent, "The title appearing at the top of the shape.");
+      this.AddProperty("SubTitle", typeof(string), constContent, "The sub-title appearing underneath the title.");
+      this.AddProperty("FreeText", typeof(string), constContent, "The text of the body when the shape is set to free-text mode.");
+      this.AddProperty("BodyType", typeof(BodyType), constContent, "The body type.");
+      this.AddProperty("Folders", typeof(CollectionBase<FolderMaterial>), constContent, "The folders when the shape is set to list mode.");
 
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:ClassShapeDescriptor"/> class.
-        /// </summary>
-        /// <param name="provider">The provider.</param>
-        /// <param name="type">The type.</param>
-        public ClassShapeDescriptor(ShapeProvider provider, Type type)
-            : base(provider, type)
-        {
-            this.AddProperty("Title", typeof(string),constContent,"The title appearing at the top of the shape.");
-            this.AddProperty("SubTitle", typeof(string), constContent, "The sub-title appearing underneath the title.");
-            this.AddProperty("FreeText", typeof(string), constContent, "The text of the body when the shape is set to free-text mode.");
-            this.AddProperty("BodyType", typeof(BodyType), constContent, "The body type.");
-            this.AddProperty("Folders", typeof(CollectionBase<FolderMaterial>), constContent, "The folders when the shape is set to list mode.");            
-
-        }
+    }
 
 
-    }
+  }
 }
 
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Descriptors/ComplexShapeBaseDescriptor.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Descriptors/ComplexShapeBaseDescriptor.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Descriptors/ComplexShapeBaseDescriptor.cs	(revision 4068)
@@ -1,46 +1,34 @@
 using System;
-using System.Drawing;
-using System.Collections.Generic;
-using System.Text;
-using System.ComponentModel;
-using System.Drawing.Design;
-namespace Netron.Diagramming.Core
-{
-    /// <summary>
-    /// Descriptor for <see cref="SimpleShapeBase"/> derived classes (i.e. most of the simple drawing elements like the <see cref="SimpleRectangle"/> shape).
-    /// </summary>
-    class ComplexShapeBaseDescriptor : ShapeBaseDescriptor
-    {
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Descriptor for <see cref="SimpleShapeBase"/> derived classes (i.e. most of the simple drawing elements like the <see cref="SimpleRectangle"/> shape).
+  /// </summary>
+  class ComplexShapeBaseDescriptor : ShapeBaseDescriptor {
 
-        protected override void GetValue(object sender, PropertyEventArgs e)
-        {
-            switch (e.Name)
-            {
-                case "Materials":
-                    e.Value = (e.Component as ComplexShapeBase).Children;
-                    break;
-                default:
-                    base.GetValue(sender, e);
-                    break;
-            }
-        }
+    protected override void GetValue(object sender, PropertyEventArgs e) {
+      switch (e.Name) {
+        case "Materials":
+          e.Value = (e.Component as ComplexShapeBase).Children;
+          break;
+        default:
+          base.GetValue(sender, e);
+          break;
+      }
+    }
 
-        protected override void SetValue(object sender, PropertyEventArgs e)
-        {
-            switch (e.Name)
-            {                
-                default:
-                    base.SetValue(sender, e);
-                    break;
-            }
-        }
+    protected override void SetValue(object sender, PropertyEventArgs e) {
+      switch (e.Name) {
+        default:
+          base.SetValue(sender, e);
+          break;
+      }
+    }
 
-        public ComplexShapeBaseDescriptor(ShapeProvider provider, Type type)
-            : base(provider, type)
-        {
-            this.AddProperty("Materials", typeof(CollectionBase<IShapeMaterial>),constLayout,"The collection of shape materials.");            
-        }
+    public ComplexShapeBaseDescriptor(ShapeProvider provider, Type type)
+      : base(provider, type) {
+      this.AddProperty("Materials", typeof(CollectionBase<IShapeMaterial>), constLayout, "The collection of shape materials.");
+    }
 
 
-    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Descriptors/ConnectionBaseDescriptor.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Descriptors/ConnectionBaseDescriptor.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Descriptors/ConnectionBaseDescriptor.cs	(revision 4068)
@@ -1,73 +1,64 @@
 using System;
 using System.Drawing;
-using System.Collections.Generic;
-using System.Text;
-using System.ComponentModel;
 using System.Drawing.Design;
-namespace Netron.Diagramming.Core
-{
-    class ConnectionBaseDescriptor : DiagramEntityBaseDescriptor
-    {
+namespace Netron.Diagramming.Core {
+  class ConnectionBaseDescriptor : DiagramEntityBaseDescriptor {
 
-        #region Constants
-        #endregion
+    #region Constants
+    #endregion
 
-        #region Fields
+    #region Fields
 
-        #endregion
+    #endregion
 
-        #region Properties
+    #region Properties
 
-        #endregion
+    #endregion
 
-        #region Constructor
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:ConnectionBaseDescriptor"/> class.
-        /// </summary>
-        /// <param name="provider">The provider.</param>
-        /// <param name="objectType">Type of the object.</param>
-        public ConnectionBaseDescriptor(ConnectionProvider provider, Type objectType)
-            : base(provider, objectType)
-        {
-            AddBaseProperties();
-        }
-        #endregion
+    #region Constructor
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:ConnectionBaseDescriptor"/> class.
+    /// </summary>
+    /// <param name="provider">The provider.</param>
+    /// <param name="objectType">Type of the object.</param>
+    public ConnectionBaseDescriptor(ConnectionProvider provider, Type objectType)
+      : base(provider, objectType) {
+      AddBaseProperties();
+    }
+    #endregion
 
-        #region Methods
-        /// <summary>
-        /// Adds the properties of the <see cref="ShapeBase"/>
-        /// </summary>
-        private void AddBaseProperties()
-        {
-            this.AddProperty("From", typeof(Point), constLayout, "The location of the initial connector.", Point.Empty, typeof(UITypeEditor), typeof(Netron.Diagramming.Core.PointConverter));
-            this.AddProperty("To", typeof(Point), constLayout, "The locationof the end connector.", Point.Empty, typeof(UITypeEditor), typeof(Netron.Diagramming.Core.PointConverter));
-        }
+    #region Methods
+    /// <summary>
+    /// Adds the properties of the <see cref="ShapeBase"/>
+    /// </summary>
+    private void AddBaseProperties() {
+      this.AddProperty("From", typeof(Point), constLayout, "The location of the initial connector.", Point.Empty, typeof(UITypeEditor), typeof(Netron.Diagramming.Core.PointConverter));
+      this.AddProperty("To", typeof(Point), constLayout, "The locationof the end connector.", Point.Empty, typeof(UITypeEditor), typeof(Netron.Diagramming.Core.PointConverter));
+    }
 
 
-        /// <summary>
-        /// Override this method to return the appropriate value corresponding to the property
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        protected override void GetValue(object sender, PropertyEventArgs e)
-        {
-            base.GetValue(sender, e);
-            switch (e.Name.ToLower())
-            {
-                case "to":
-                    e.Value = (e.Component as ConnectionBase).To.Point;
-                    break;
-                case "from":
-                    e.Value = (e.Component as ConnectionBase).From.Point;
-                    break;
+    /// <summary>
+    /// Override this method to return the appropriate value corresponding to the property
+    /// </summary>
+    /// <param name="sender"></param>
+    /// <param name="e"></param>
+    protected override void GetValue(object sender, PropertyEventArgs e) {
+      base.GetValue(sender, e);
+      switch (e.Name.ToLower()) {
+        case "to":
+          e.Value = (e.Component as ConnectionBase).To.Point;
+          break;
+        case "from":
+          e.Value = (e.Component as ConnectionBase).From.Point;
+          break;
 
 
 
-            }
+      }
 
 
-        }
+    }
 
-        #endregion
-    }
+    #endregion
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Descriptors/ConnectionDescriptor.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Descriptors/ConnectionDescriptor.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Descriptors/ConnectionDescriptor.cs	(revision 4068)
@@ -1,59 +1,50 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Descriptor for <see cref="SimpleShapeBase"/> derived classes (i.e. most of the simple drawing elements like the <see cref="SimpleRectangle"/> shape).
+  /// </summary>
+  class ConnectionDescriptor : ConnectionBaseDescriptor {
+
     /// <summary>
-    /// Descriptor for <see cref="SimpleShapeBase"/> derived classes (i.e. most of the simple drawing elements like the <see cref="SimpleRectangle"/> shape).
+    /// Override this method to return the appropriate value corresponding to the property
     /// </summary>
-    class ConnectionDescriptor : ConnectionBaseDescriptor
-    {
+    /// <param name="sender"></param>
+    /// <param name="e"></param>
+    protected override void GetValue(object sender, PropertyEventArgs e) {
+      switch (e.Name) {
+        case "Demo":
+          e.Value = 123456;
+          break;
+        default:
+          base.GetValue(sender, e);
+          break;
+      }
+    }
 
-        /// <summary>
-        /// Override this method to return the appropriate value corresponding to the property
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        protected override void GetValue(object sender, PropertyEventArgs e)
-        {
-            switch (e.Name)
-            {
-                case "Demo":
-                    e.Value = 123456;
-                    break;
-                default:
-                    base.GetValue(sender, e);
-                    break;
-            }
-        }
+    /// <summary>
+    /// Override this method to set the appropriate value corresponding to the property
+    /// </summary>
+    /// <param name="sender"></param>
+    /// <param name="e"></param>
+    protected override void SetValue(object sender, PropertyEventArgs e) {
+      switch (e.Name) {
+        default:
+          base.SetValue(sender, e);
+          break;
+      }
+    }
 
-        /// <summary>
-        /// Override this method to set the appropriate value corresponding to the property
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        protected override void SetValue(object sender, PropertyEventArgs e)
-        {
-            switch (e.Name)
-            {                
-                default:
-                    base.SetValue(sender, e);
-                    break;
-            }
-        }
-
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:ConnectionDescriptor"/> class.
-        /// </summary>
-        /// <param name="provider">The provider.</param>
-        /// <param name="type">The type.</param>
-        public ConnectionDescriptor(ConnectionProvider provider, Type type)
-            : base(provider, type)
-        {
-            this.AddProperty("Demo", typeof(int));            
-        }
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:ConnectionDescriptor"/> class.
+    /// </summary>
+    /// <param name="provider">The provider.</param>
+    /// <param name="type">The type.</param>
+    public ConnectionDescriptor(ConnectionProvider provider, Type type)
+      : base(provider, type) {
+      this.AddProperty("Demo", typeof(int));
+    }
 
 
-    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Descriptors/ControlDescriptor.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Descriptors/ControlDescriptor.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Descriptors/ControlDescriptor.cs	(revision 4068)
@@ -1,47 +1,38 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Drawing;
-namespace Netron.Diagramming.Core
-{
-    /// <summary>
-    /// Descriptor for <see cref="SimpleShapeBase"/> derived classes (i.e. most of the simple drawing elements like the <see cref="SimpleRectangle"/> shape).
-    /// </summary>
-    class ControlDescriptor : DescriptorBase
-    {
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Descriptor for <see cref="SimpleShapeBase"/> derived classes (i.e. most of the simple drawing elements like the <see cref="SimpleRectangle"/> shape).
+  /// </summary>
+  class ControlDescriptor : DescriptorBase {
 
-        protected override void GetValue(object sender, PropertyEventArgs e)
-        {
-            switch (e.Name)
-            {
-                case "BackColor":
-                    e.Value = (e.Component as DiagramControlBase).BackColor;
-                    break;
-                default:
-                    base.GetValue(sender, e);
-                    break;
-            }
-        }
+    protected override void GetValue(object sender, PropertyEventArgs e) {
+      switch (e.Name) {
+        case "BackColor":
+          e.Value = (e.Component as DiagramControlBase).BackColor;
+          break;
+        default:
+          base.GetValue(sender, e);
+          break;
+      }
+    }
 
-        protected override void SetValue(object sender, PropertyEventArgs e)
-        {
-            switch (e.Name)
-            {                
-                case "BackColor":
-                    (e.Component as DiagramControlBase).BackColor = (Color) e.Value;
-                    break;
-                default:
-                    base.SetValue(sender, e);
-                    break;
-            }
-        }
+    protected override void SetValue(object sender, PropertyEventArgs e) {
+      switch (e.Name) {
+        case "BackColor":
+          (e.Component as DiagramControlBase).BackColor = (Color)e.Value;
+          break;
+        default:
+          base.SetValue(sender, e);
+          break;
+      }
+    }
 
-        public ControlDescriptor(ControlProvider provider, Type type)
-            : base(provider, type)
-        {
-            this.AddProperty("BackColor", typeof(Color));            
-        }
+    public ControlDescriptor(ControlProvider provider, Type type)
+      : base(provider, type) {
+      this.AddProperty("BackColor", typeof(Color));
+    }
 
 
-    }
+  }
 }
